﻿// -----------------------------------------------------------------------
// <copyright file="CustomDragDropBehavior.cs" company="Microsoft">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace RadScheduleViewDragDropBehavior
{
	using System;
	using System.Collections.Generic;
	using System.Linq;
	using System.Text;
	using Telerik.Windows.Controls;
	using Telerik.Windows.Controls.ScheduleView;
	using System.Collections.ObjectModel;

	/// <summary>
	/// TODO: Update summary.
	/// </summary>
	public class CustomDragDropBehavior : ScheduleViewDragDropBehavior
	{
		 
		public override bool CanDrop(DragDropState state)
		{
			var first = state.DestinationSlots.FirstOrDefault<Slot>();

			var enumerator = state.DestinationSlots.GetEnumerator();
			while (enumerator.MoveNext())
			{
				var sl = enumerator.Current;
				sl.Start = first.Start;
				sl.End = first.End;
			}

			return base.CanDrop(state);
		}

		public override void Drop(DragDropState state)
		{
			var first = state.DestinationSlots.FirstOrDefault<Slot>();

			var enumerator = state.DestinationSlots.GetEnumerator();
			while (enumerator.MoveNext())
			{
				var sl = enumerator.Current;
				sl.Start = first.Start;
				sl.End = first.End;
			}
			base.Drop(state);
		}
	}
}
